# Uses of Interface
com.usatiuk.dhfs.jmap.JMapHolder

Packages that use JMapHolder
Package
Description
com.usatiuk.dhfs.jmap
com.usatiuk.dhfsfs.objects

## Uses of JMapHolder in com.usatiuk.dhfs.jmap

Methods in com.usatiuk.dhfs.jmap with parameters of type JMapHolder
Modifier and Type
Method
Description
`<K extends JMapKey>
void`
JMapHelper.`delete(JMapHolder<K> holder, K key)`
`<K extends JMapKey>
void`
JMapHelper.`deleteAll(JMapHolder<K> he)`
`<K extends JMapKey>
Optional<JMapEntry<K>>`
JMapHelper.`get(JMapHolder<K> holder, K key)`
`<K extends JMapKey>
CloseableKvIterator<K,JMapEntry<K>>`
JMapHelper.`getIterator(JMapHolder<K> holder)`
`<K extends JMapKey>
CloseableKvIterator<K,JMapEntry<K>>`
JMapHelper.`getIterator(JMapHolder<K> holder, IteratorStart start, K key)`
`<K extends JMapKey>
void`
JMapHelper.`put(JMapHolder<K> holder, K key, JObjectKey ref)`
Constructors in com.usatiuk.dhfs.jmap with parameters of type JMapHolder
Modifier
Constructor
Description
``
`JMapIterator(CloseableKvIterator<JObjectKey,JData> backing, JMapHolder<K> holder)`

## Uses of JMapHolder in com.usatiuk.dhfsfs.objects

Classes in com.usatiuk.dhfsfs.objects that implement JMapHolder
Modifier and Type
Class
Description
`final record`
`File`
File is a data structure that represents a file in the file system